import { mongoServerConstVal } from "../../serverConfig";
import { createDbConnect } from "./db_connect";
import { tableInit } from "./table_init";

let userDB;
let pictureDB;
let logDB;

export async function initDB() {
    if (mongoServerConstVal.userUrl) {
        userDB = await createDbConnect(mongoServerConstVal.userUrl).catch(err => {throw err});
        process.stdin.emit('userdbinit success');
    }
    
    if (mongoServerConstVal.userUrl) {
        pictureDB = await createDbConnect(mongoServerConstVal.pictureUrl).catch(err => {throw err});
        process.stdin.emit('picturedbinit success');
    }

    if (mongoServerConstVal.userUrl) {
        logDB = await createDbConnect(mongoServerConstVal.logUrl).catch(err => {throw err});
        process.stdin.emit('logdbinit success');
    }
    tableInit();
}

export {userDB, pictureDB, logDB};